LIBTRACEEVENT(3)

NAME
tep_get_long_size, tep_set_long_size - Get / set the size of a long integer on the machine, where the trace is generated, in bytes

SYNOPSIS

#include <event-parse.h>
int tep_get_long_size(strucqt tep_handle *tep);
void tep_set_long_size(struct tep_handle *tep, int long_size);

DESCRIPTION

The tep_get_long_size() function returns the size of a long integer on the machine, where the trace is generated. The tep argument is trace event parser context.

The tep_set_long_size() function sets the size of a long integer on the machine, where the trace is generated. The tep argument is trace event parser context. The long_size is the size of a long integer, in bytes.

RETURN VALUE

The tep_get_long_size() function returns the size of a long integer on the machine, where the trace is generated, in bytes.

EXAMPLE

    #include <event-parse.h>
    ...
    struct tep_handle *tep = tep_alloc();
    ...
    tep_set_long_size(tep, 4);
    ...
    int long_size = tep_get_long_size(tep);
    ...

FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

SEE ALSO

libtraceevent(3), trace-cmd(1)

AUTHOR

    Steven Rostedt <rostedt@goodmis.org[1]>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com[2]>, author of this man page.

REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org[3]>

LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/

NOTES

1.  rostedt@goodmis.org
    mailto:rostedt@goodmis.org

2.  tz.stoyanov@gmail.com
    mailto:tz.stoyanov@gmail.com

3.  linux-trace-devel@vger.kernel.org
    mailto:linux-trace-devel@vger.kernel.org